Subject: Registry for "info" URI type

From: John C Klensin <[email-masked]>
Date: Thu, 02 Jul 2015 14:38:07 -0400

Hi.

In doing a bit of research for the recent discussion of DOIs on
the IETF list, I discovered (again) that:

There is an "info" URI Scheme, listed in the registry at
http://www.iana.org/assignments/uri-schemes/uri-schemes.xhtml#uri-schemes-1.
"info" is defined in RFC 4452, which is referenced, as having a
separate registry of public namespaces.  IANA does not maintain
that registry (unlike the registries for assorted parameters and
tokens for some other URI types.

There is no hint on the IANA pages that such a subsidiary
registry exists or where to find it.  It appears to me that
there should.  That is probably a policy matter for IANA and the
community but I urge that it be considered.

The question is particularly important at this point for at
least two and possibly three reasons:

(1) The registry to which RFC 4452 points,
http://info-uri.info/, identifies a five-year-old page that
states that the registry is closed to new registrations and
contains language that can be construed as generally deprecating
the "info" scheme.

(2) The registry itself (link on the above page), contains
registration entries for "info:ark", "info:doi", "info:hdl", and
a rather large number of other identifier systems, several of
which might be appropriate for identification of IETF documents
and other digital resources.

(3) At least part of the explanation given in RFC 4452 about why
an "info" scheme is needed rather than using "urn" scheme
namespace registrations will soon be obsolete given changes that
are in progress in the URNBIS WG.   If NISO (the organization
designated by RFC 4452 as responsible for the registry) and OCLC
(the organization actually managing the registry) are convinced
that the "info:" scheme has outlived its usefulness (as the link
in (1) implies), than either we should be working with them to
deprecate (or at least issue an Applicability Statement about)
RFC 4452 and the scheme and/or should be considering whether it
would be useful to convert some or all of the identifiers into
URN namespaces.

     john

An aside:  As far as I can tell, the "info" scheme and the
namespaces it supports are precisely an example of comment in
RFC 3896 about Uniform Resource Names that are not part of the
"urn:" scheme.  That comment has been the source of a lot of
trouble and confusion; it is not clear to me whether this
concrete example makes things better or worse.

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Thu, 2 Jul 2015 16:05:48 -0400

> would be useful to convert some or all of the identifiers into

I never saw a need for the urn: namespace and so I don't see a need for
info: either.

doi:<whatever> is better than info:doi:<whatever>

* It is shorter
* It is less error prone
* info: adds absolutely no value

People love to create taxonomic hierarchies of identifiers and the folk
that create them invariably get them wrong and the folk who maintain them
get them wronger folk trying to use them get them wrongest of all.

I would like to close the urn: registry for the same reason. Once upon a
time people tried to foist the url: prefix onto http: which was fortunately
and correctly ignored. The idea that names and indexes are syntactically
distinct categories is was and always will be nonsense.

We went through this with .com. Some bright spark thought that maintaining
.com, .net and .org as separate registries was a good idea. As a result
people ended up having to pay to register in all three.

If only Jon Postel had followed his original instinct and told JANET that
they can't have .uk, because .uk is reserved for the UK government.
Reserving .net for gating other networks did make sense. separating .edu,
.com and .org did not.